name='shfmt'
version='1.0.0'
release='1'
desc='A shell formatter. Supports POSIX Shell, Bash, and mksh.'
homepage='https://'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('all')
license=('BSD-3-Clause license')
provides=('shfmt')
conflicts=('shtmt')

sources_amd64=("https://github.com/patrickvane/${name}/releases/download/master/${name}_$GOOS_$GOARCH")
checksums=('SKIP')

sources_arm=("https://github.com/patrickvane/${name}/releases/download/master/${name}_linux_arm")
checksums=('SKIP')

sources_386=("https://github.com/patrickvane/shfmt/releases/download/master/shfmt_linux_386")
checksums=('SKIP')

sources_mips=("https://github.com/patrickvane/${name}/releases/download/master/${name}_linux_mips")
checksums=('SKIP')

sources_mips64=("https://github.com/patrickvane/${name}/releases/download/master/${name}_linux_mips64")
checksums=('SKIP')

sources_mips64le=("https://github.com/patrickvane/${name}/releases/download/master/${name}_linux_mips64le")
checksums=('SKIP')

sources_mipsle=("https://github.com/patrickvane/${name}/releases/download/master/${name}_linux_mipsle")
checksums=('SKIP')

sources_s390x=("https://github.com/patrickvane/${name}/releases/download/master/${name}_linux_s390x")
checksums=('SKIP')

prepare() {
	cd "${srcdir}"
}

package() {
	install -Dm755 ./${name}_$GOOS_$GOARCH/ "${pkgdir}/usr/bin/shfmt"
}
